JobController Methods

The JobController type exposes the following members.

Methods
  NameDescription
Public methodCancelJobById
DELETE /Job/{id} Cancels a job.
Public methodClearOldJobs
POST /Job/ClearOldJobs/ Clears all the old jobs before a specified date.
Public methodEnableJob
PUT /Job/EnableJob/{id} Enables or disables a job.
Protected methodEnsureCallerContext
If the current context is not already the specified context, creates a new caller context which is a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.)
Protected methodEnsureFormFileMultipartContent
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.)
Protected methodGetClientIdFromCookieOrProvided
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Public methodGetJobById
GET /Job/{id} Gets a job with the specified ID.
Public methodGetJobRunById
GET /Job/JobRun/ Gets a job run with the specified ID.
Public methodGetJobRunEvents
POST /Job/GetJobRunEvents/ Get a list of JobRunEvent objects associated with the JobRun ID.
Public methodGetJobRunsForJob
GET /Job/GetJobRunsForJob/{id} Gets the job runs associated with the given job ID.
Public methodGetJobSchedule
GET /Job/GetJobSchedule/{id} Gets the schedule associated with a Job.
Public methodGetLatestJobRunEvent
POST /Job/GetLatestJobRunEvent/ Gets the latest JobRunEvent object associated with the JobRun ID.
Public methodGetLatestJobRunEventForJobs
POST /Job/GetLatestJobRunEventForJobs/ Gets the latest job run events for the specified jobs.
Protected methodGetServiceT
Gets the requested service.
(Inherited from ApiControllerBase.)
Protected methodGetSessionIdFromCookieHeaderOrProvided
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Public methodJobRunEventCount
POST /Job/JobRunEventCount/ Gets the number of job run events with the given information.
Public methodJobRunEventQuery
POST /Job/JobRunEventQuery Gets the job run events with the given information.
Protected methodLoadSession
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.)
Public methodQueryJobRuns
POST /Job/JobRunQuery/ Gets the job runs with the given information.
Public methodQueryJobRunsCount
POST /Job/JobRunCount/ Gets the number of job runs with the given information.
Public methodQueryJobs
POST /Job/Query/ Gets the jobs with the given information.
Public methodQueryJobsCount
POST /Job/Count/ Gets the number of jobs with the given information.
Protected methodRequestFirstFormFile
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.)
Protected methodRequestFormFiles
Retrieves the form files from the request.
(Inherited from ApiControllerBase.)
Protected methodReturnInvalidWindowsIdentityResponse
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.)
Public methodRunJob
POST /Job/Run/{id} Runs a job.
Public methodRunJob2
POST /Job/Run2/{id} Runs a job using provided options.
Public methodRunJobs
POST /Job/RunMultiple Runs a set jobs.
Public methodUpdateScheduleRule
PUT /Job/UpdateScheduleRule/{id} Updates a schedules rule.
Top
See Also